Subject: Re: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Stephen Berman <[email-masked]>
Date: Sat, 17 Aug 2019 19:05:20 +0200

On Sat, 17 Aug 2019 18:44:33 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Sat, 17 Aug 2019 17:39:41 +0200
>>
>> >                                If the latter, then the composition was
>> > done in both cases, and you simply should find a better font if you
>> > want these displayed more nicely.
>>
>> That indeed appears to be the case: when I change the font to DejaVu
>> Sans (i.e. not the monospace version), then the 'a' sequence is
>> displayed like the 'b' sequence, with both combining characters over the
>> alphabetic character.  This seems like a bug in the monospace font, but
>> it also seems unlikely such a bug wouldn't have been noticed and fixed
>> long ago, so I suspect there must be some other reason for the
>> difference.
>
> Does HarfBuzz's hb-view produce the same display with the monospaced
> font?  If so, I'd bet it's a problem with the font.  You could ask
> about this on the HarfBuzz mailing list.
>
> If hb-view produces a different display, then it could be our problem.

Executing this:

$ hb-view /usr/share/fonts/dejavu/DejaVuSansMono.ttf -u 'U+061, U+301, U+302'

displays just 'a' with an acute accent over it, i.e. the circumflex is
not displayed at all (unlike Emacs, which display the circumflex to the
right of the a + acute accent grapheme).

Steve Berman